Open App

Containers

API endpoints for containers

List containers

GET /api/v1/containers

Example request

curl -X GET \
"https://api.usemonoid.com/api/v1/containers" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "string",
      "userId": "string",
      "name": "string",
      "description": "string",
      "organisationId": "string",
      "updatedAt": 0
    }
  ]
}

Other statuses: 401, 403.

Response body type

{ data: Container[] }


Create container

POST /api/v1/containers

Example request

curl -X POST \
"https://api.usemonoid.com/api/v1/containers" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"name":"string","description":"string","organisationId":"string"}'

Example response

Status: 201

{
  "data": {
    "_id": "string",
    "userId": "string",
    "name": "string",
    "description": "string",
    "organisationId": "string",
    "updatedAt": 0
  }
}

Other statuses: 400, 401, 403, 500.

Response body type

{ data: Container }


Get container by id

GET /api/v1/containers/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesPath parameter.

Example request

curl -X GET \
"https://api.usemonoid.com/api/v1/containers/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "userId": "string",
    "name": "string",
    "description": "string",
    "organisationId": "string",
    "updatedAt": 0
  }
}

Other statuses: 401, 403, 404.

Response body type

{ data: Container }


Update container

PATCH /api/v1/containers/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesPath parameter.

Example request

curl -X PATCH \
"https://api.usemonoid.com/api/v1/containers/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"name":"string","description":"string"}'

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "userId": "string",
    "name": "string",
    "description": "string",
    "organisationId": "string",
    "updatedAt": 0
  }
}

Other statuses: 400, 401, 403, 404, 500.

Response body type

{ data: Container }


Delete container

DELETE /api/v1/containers/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesPath parameter.

Example request

curl -X DELETE \
"https://api.usemonoid.com/api/v1/containers/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Other statuses: 401, 403, 404, 500.

Response body type